<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Json to Template</title>
</head>
<body>
<script src="../lodash.js"></script>
<div id="people-list"></div>
<button id="load-people">Load People</button>
<script type="text/template" id="people-template">
    <div class="people"></div>
    <h5>People</h5>
    <ul>
        <% people.forEach(function(person) {%>
        <li><%- person.name%>, <%- person.eyeColor%> eyed <%- person.gender%>, with <%- person.balance%> on their bank account</li>
        <% }); %>
    </ul>
</script>
<script>
    var loadPeople = document.getElementById('load-people');
    loadPeople.addEventListener("click", function(){
        var xhr = new XMLHttpRequest();
        xhr.open("GET", 'people.json', true);

        try {
            xhr.send();
            xhr.onreadystatechange = function() {
                if (xhr.readyState !== 4) return;

                if (xhr.status === 200) {
                    var json = JSON.parse(xhr.responseText);
                    var template = document.getElementById('people-template').innerHTML;
                    var html = _.template(template)({ people: json });
                    var peopleList = document.getElementById('people-list');
                    peopleList.innerHTML = html;
                    loadPeople.disabled = false;
                } else {
                    console.log("Response: " + xhr.status + " | " + xhr.statusText);
                }
            };

            loadPeople.disabled = true;

        } catch (e) {
            console.log(e.message);
        }
    });
</script>
</body>
</html>